<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Quotes and escaped characters</title>
</head>

<body>
<?php


// SET UP VARS FOR ALL THREE DEMOS
// build an array of records
$emailRecords = array ("john@abc.com","sue@def.com","jim@ghi.com", "annie@jkl.com");
// set a target name to find in the array
$nameToVerify = "jim@ghi.com";

//test that the array is set and count function is working
////print "There are ".count($emailRecords)." email records in the array.";

// test getting a name from the array
////print $emailRecords[1];
////print $nameToVerify;\

/////////////////////////////////////////////////////////
// DEMO 1: Using FOR to traverse an array (aka: iteration)
// we fetch each element of the array in turn and check it against a target string

// default comment to print later
$comment = "No match.";

// first location in an array is 0, so start counter at 0
for ($i=0; $i < count($emailRecords); $i++) {

		if ($emailRecords[$i] == $nameToVerify) { // if a match, change comment
		$comment = "Yes, $emailRecords[$i] is a valid email.";
		break; // exit from for loop - no point continuing once we have found a match
		}	// end of if loop
		
} //end of for loop
print $comment;
///end of traverse array with FOR demo

print "<br /><br />";

// DEMO 2 - using foreach to traverse array 
// reset comment
$comment = "No match";

foreach ($emailRecords as $thisEmail) {

 if ($thisEmail == $nameToVerify) { // if a match, change comment
		$comment = "Yes, indeed, $thisEmail is a valid email.";
		break; // no point continuing once we have found a match
		}	// end of if loop
   
}
print $comment;
//END of DEMO 2

print "<br /><br />";

// DEMO 3 - using FOREACH to traverse an associative array
// create an associative array
$emailRecords= array (
	"John Jones" => "john@abc.com",
	"Suzie Q" => "sue@def.com",
	"Jim James" => "jim@ghi.com", 
	"Ann Kerchan" => "annie@jkl.com");
	
foreach ($emailRecords as $thisName => $thisEmail) {

 if ($thisEmail == $nameToVerify) { // if a match, change comment
		$comment = "Yes, indeed, $thisName is a member.";
		break; // no point continuing once we have found a match
		}	// end of if loop
   
}
print $comment;
// end of DEMO 3

?>
</body>
</html>