<?php
//this code uses the top level folder names to create nav links
//THE RULES
//folder names that start with _ or a . are ignored
// any _ elsewhere within a folder name is replaced with a space when displayed
// name folders like this: _images , if you don't want them to appear in nav
//order nav items by using a number at the start of each folder name
// note that all numbers are removed from folder names before being diplayed
// the first char of each folder name is changed to upper case for display in nav

$folder=dir($fullPath); //the top level folder of our site
//while loop repeats for each file and sub-folder
$navArray = array();
//while loop repeats for each file and sub-folder
while($thisItem=$folder->read()){ // read each folder or file
  ////print $thisItem."<br />";
  $printThis = 1;  // will be set to 0 if folder should not be displayed
	$folderItem = $fullPath.$thisItem;
	if (is_dir($folderItem)) {
	//don't list the two wierd hidden folders that show up as dots
	 $foundDot = (strpos($thisItem,".",0));
	 if ($foundDot===0) $printThis=0; //  . is the first char, so ignore folder
	 //don't list folders with underscores as their first char
	 $result = strpos($thisItem,"_",0); 
	 if ($result===0) $printThis=0; // _ is the first char, so ignore folder
			if ($printThis) {
			//if folder name contains underscores elsewhere, replace them with spaces
		  $thisItemDisplay = str_replace ("_", " ", $thisItem);
			// now remove any leading numbers
			$thisItemDisplay =  ereg_replace('^[0-9]+', "", $thisItemDisplay);
	 		//set first letter of each link to uppercase
				$thisItemDisplay = ucfirst($thisItemDisplay);
			$navArray [$thisItemDisplay]=$thisItem;
	 		}  //end if $printThis 
	} // end if is_dir
} //end while
asort($navArray); // sort the array by ascending order
print "<ul>\n"; //open the list
foreach ($navArray as $name=>$value) { //write out each link
print '<li><a href="'.$folderPath.$value.'">'.$name."</a></li>\n";
}
print "</ul>\n"; //close the list
$folder->close();
?>